package com.andy.kads.utils;

import java.net.DatagramPacket;
import java.net.DatagramSocket;
import java.net.InetSocketAddress;

/**
 * Created by IntelliJ IDEA.
 * User: andy.qu
 * Date: 2022/5/30
 */
public class UdpUtils {
    public static void sendMsg(String str) {
        try {
            System.out.println("发送------->"+str);
            //1、使用DatagramSocket 指定端口，创建发送端
            DatagramSocket client = new DatagramSocket(8888);
            try {
                //3、将数据封装程 DatagramPacket包裹，需指定目的地（IP+端口）
                byte[] data = ByteUtil.hexString2ByteArray(str);
                DatagramPacket packet = new DatagramPacket(data, 0, data.length,
                        new InetSocketAddress("192.168.100.20", 2003));
                //4、发送包裹 send(DatagramPacket p)
                client.send(packet);
            } catch (Exception e) {
                e.printStackTrace();
            }
            //5、释放资源
            client.close();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}